︠5a104a35-718b-40ee-a3cf-66df00905f23s︠
#example conjectures for the purposes of finding counterexamples

load("conjecturing.py")

p3 = graphs.PathGraph(3)
k3 = graphs.CompleteGraph(3)
pete = graphs.PetersenGraph()

def independence_number(g):
    return len(g.independent_set())

objects = [p3, k3, pete]

invariants = [independence_number, Graph.order, Graph.size]

#we'll give a name to the out list of conjectures so that we can grab them

conjs = conjecture(objects, invariants, invariants.index(independence_number))

for c in conjs:
    print c
︡9691b942-ffe7-442a-8e46-8f47094d7030︡{"stdout":"independence_number(x) <= floor(10^sin(size(x)))\nindependence_number(x) <= size(x)\nindependence_number(x) <= ceil(sqrt(order(x)))\n"}︡{"done":true}︡
︠738cb50f-b9ea-4001-ae1d-602f4d717383s︠
conjs[0]

︡f890f280-00f2-444b-bab2-ade0d038017f︡{"stdout":"independence_number(x) <= floor(10^sin(size(x)))\n"}︡{"done":true}︡
︠ec652c94-d4b4-4a8a-ac42-aa171fca08f4s︠
#we'd like to test a conjecture againt a graph
conjs[0](p3)
︡ad4fc4f1-56f3-47f9-8101-7fad35aea417︡{"stdout":"True\n"}︡{"done":true}︡
︠ef9aab92-84c7-4c5b-9fa8-fa614dba00e2s︠
[conjs[i](p3) for i in range(len(conjs))]
︡13ea416f-fc2d-476e-8661-ea13fb865228︡{"stdout":"[True, True, True]\n"}︡{"done":true}︡
︠31ad078f-0cf9-43a8-aff1-e1962b7dae2es︠
all([conjs[i](p3) for i in range(len(conjs))])
︡a0b3de5c-0679-4499-917f-52c04524404b︡{"stdout":"True\n"}︡{"done":true}︡
︠78f7bddd-366a-4c89-8247-d0a894010c9es︠
#now lets test conjecture[0] against all the graphs stored in gt.sage
load("gt.sage")
︡f1f08517-8c13-4b90-b5ab-152932a29f25︡{"stdout":"loaded graph dc1024"}︡{"stdout":"\nloaded graph dc2048"}︡{"stdout":"\nloaded graph properties data file"}︡{"stdout":"\nloaded graph invariants data file\n"}︡{"done":true}︡
︠5259123e-70a6-4afd-9195-fa96982f0b9fs︠
# the graphs are all in a list called graph_objects
graph_objects
︡c4f592ef-721c-464c-bb03-69693572adcb︡{"stdout":"[paw: Graph on 4 vertices, kite: Graph on 4 vertices, p4: Graph on 4 vertices, dart: Graph on 5 vertices, k3: Graph on 3 vertices, k4: Graph on 4 vertices, k5: Graph on 5 vertices, c6ee: Graph on 6 vertices, c5chord: Graph on 5 vertices, Dodecahedron: Graph on 20 vertices, c8chorded: Graph on 8 vertices, c8chords: Graph on 8 vertices, Clebsch graph: Graph on 16 vertices, prismy: Graph on 8 vertices, c24: Graph on 24 vertices, c26: Graph on 26 vertices, c60: Graph on 60 vertices, c6xc6: Graph on 36 vertices, holton_mckay: Graph on 24 vertices, sixfour: Graph on 10 vertices, c4: Graph on 4 vertices, Petersen graph: Graph on 10 vertices, p2: Graph on 2 vertices, Tutte Graph: Graph on 46 vertices, non_ham_over: Graph on 9 vertices, throwing: Graph on 11 vertices, throwing2: Graph on 12 vertices, throwing3: Graph on 12 vertices, kratsch_lehel_muller: Graph on 12 vertices, Blanusa First Snark Graph: Graph on 18 vertices, Blanusa Second Snark Graph: Graph on 18 vertices, Flower Snark: Graph on 20 vertices, s3: Graph on 4 vertices, ryan3: Graph on 15 vertices, k10: Graph on 10 vertices, Mycielski Graph 5: Graph on 23 vertices, c3mycieski: Graph on 7 vertices, s13e: Graph on 14 vertices, circulant_50_1_3: Graph on 50 vertices, s22e: Graph on 23 vertices, difficult11: Graph on 11 vertices, Bull graph: Graph on 5 vertices, Chvatal graph: Graph on 12 vertices, Claw graph: Graph on 4 vertices, Desargues Graph: Graph on 20 vertices, Diamond Graph: Graph on 4 vertices, Flower Snark: Graph on 20 vertices, Frucht graph: Graph on 12 vertices, Hoffman-Singleton graph: Graph on 50 vertices, House Graph: Graph on 5 vertices, Octahedron: Graph on 6 vertices, Thomsen graph: Graph on 6 vertices, Petersen graph: Graph on 10 vertices, Pappus Graph: Graph on 18 vertices, Grotzsch graph: Graph on 11 vertices, Gray graph: Graph on 54 vertices, Heawood graph: Graph on 14 vertices, Herschel graph: Graph on 11 vertices, Coxeter Graph: Graph on 28 vertices, Brinkmann graph: Graph on 21 vertices, Tutte-Coxeter graph: Graph on 30 vertices, Tutte Graph: Graph on 46 vertices, Robertson Graph: Graph on 19 vertices, Folkman Graph: Graph on 20 vertices, Balaban 10-cage: Graph on 70 vertices, Pappus Graph: Graph on 18 vertices, Tietze Graph: Graph on 12 vertices, Sylvester Graph: Graph on 36 vertices, Szekeres Snark Graph: Graph on 50 vertices, Moebius-Kantor Graph: Graph on 16 vertices, ryan: Graph on 24 vertices, inp: Graph on 11 vertices, c4c4: Graph on 7 vertices, regular_non_trans: Graph on 8 vertices, bridge: Graph on 5 vertices, p10k4: Graph on 14 vertices, c100: Graph on 100 vertices, starfish: Graph on 15 vertices, c5k3: Graph on 7 vertices, k5pendant: Graph on 6 vertices, Shrikhande graph: Graph on 16 vertices, sylvester: Graph on 16 vertices, fork: Graph on 5 vertices, edge_critical_5: Graph on 5 vertices, edge_critical_11_1: Graph on 11 vertices, edge_critical_11_2: Graph on 11 vertices, pete_minus: Graph on 9 vertices, c5: Graph on 5 vertices, bow_tie: Graph on 5 vertices, pepper_residue_graph: Graph on 13 vertices, barrus_graph: Graph on 9 vertices, p5: Graph on 5 vertices, c6: Graph on 6 vertices, c9: Graph on 9 vertices, ce3: Graph on 8 vertices, ce4: Graph on 8 vertices, ce5: Graph on 25 vertices, k4e2split: Graph on 6 vertices, flower_with_3_petals: Graph on 7 vertices, flower_with_4_petals: Graph on 9 vertices, paw_x_paw: Graph on 16 vertices, Wagner Graph: Graph on 8 vertices, houseX: Graph on 5 vertices, ce7: Graph on 7 vertices, triangle_star: Graph on 9 vertices, ce8: Graph on 10 vertices, ce9: Graph on 10 vertices, ce10: Graph on 12 vertices, p3: Graph on 3 vertices, binary_octahedron: Graph on 13 vertices, ce11: Graph on 6 vertices, prism: Graph on 6 vertices, ce12: Graph on 6 vertices, ce13: Graph on 6 vertices, IhCGGC_@?: Graph on 10 vertices, alpha_critical_A_: Graph on 2 vertices, alpha_critical_Bw: Graph on 3 vertices, alpha_critical_C~: Graph on 4 vertices, alpha_critical_Dhc: Graph on 5 vertices, alpha_critical_D~{: Graph on 5 vertices, alpha_critical_E|OW: Graph on 6 vertices, alpha_critical_E~~w: Graph on 6 vertices, alpha_critical_FhCKG: Graph on 7 vertices, alpha_critical_F~[KG: Graph on 7 vertices, alpha_critical_FzEKW: Graph on 7 vertices, alpha_critical_Fn[kG: Graph on 7 vertices, alpha_critical_F~~~w: Graph on 7 vertices, alpha_critical_GbL|TS: Graph on 8 vertices, alpha_critical_G~?mvc: Graph on 8 vertices, alpha_critical_GbMmvG: Graph on 8 vertices, alpha_critical_Gb?kTG: Graph on 8 vertices, alpha_critical_GzD{Vg: Graph on 8 vertices, alpha_critical_Gb?kR_: Graph on 8 vertices, alpha_critical_GbqlZ_: Graph on 8 vertices, alpha_critical_GbilZ_: Graph on 8 vertices, alpha_critical_G~~~~{: Graph on 8 vertices, alpha_critical_GbDKPG: Graph on 8 vertices, alpha_critical_HzCGKFo: Graph on 9 vertices, alpha_critical_H~|wKF{: Graph on 9 vertices, alpha_critical_HnLk]My: Graph on 9 vertices, alpha_critical_HhcWKF_: Graph on 9 vertices, alpha_critical_HhKWKF_: Graph on 9 vertices, alpha_critical_HhCW[F_: Graph on 9 vertices, alpha_critical_HxCw}V`: Graph on 9 vertices, alpha_critical_HhcGKf_: Graph on 9 vertices, alpha_critical_HhKGKf_: Graph on 9 vertices, alpha_critical_Hh[gMEO: Graph on 9 vertices, alpha_critical_HhdGKE[: Graph on 9 vertices, alpha_critical_HhcWKE[: Graph on 9 vertices, alpha_critical_HhdGKFK: Graph on 9 vertices, alpha_critical_HhCGGE@: Graph on 9 vertices, alpha_critical_Hn[gGE@: Graph on 9 vertices, alpha_critical_Hn^zxU@: Graph on 9 vertices, alpha_critical_HlDKhEH: Graph on 9 vertices, alpha_critical_H~~~~~~: Graph on 9 vertices, alpha_critical_HnKmH]N: Graph on 9 vertices, alpha_critical_HnvzhEH: Graph on 9 vertices, alpha_critical_HhfJGE@: Graph on 9 vertices, alpha_critical_HhdJGM@: Graph on 9 vertices, alpha_critical_Hj~KHeF: Graph on 9 vertices, alpha_critical_HhdGHeB: Graph on 9 vertices, alpha_critical_HhXg[EO: Graph on 9 vertices, alpha_critical_HhGG]ES: Graph on 9 vertices, alpha_critical_H~Gg]f{: Graph on 9 vertices, alpha_critical_H~?g]vs: Graph on 9 vertices, alpha_critical_H~@w[Vs: Graph on 9 vertices, alpha_critical_Hn_k[^o: Graph on 9 vertices]"}︡{"stdout":"\n"}︡{"done":true}︡
︠981cec17-6fd2-40a6-be4b-1f713244f06cs︠
for g in graph_objects:
    print g.name(), g.order()
︡2048e77f-3b00-4e9a-ac03-c8b75b3aefa9︡{"stdout":"paw 4\nkite 4\np4 4\ndart 5\nk3 3\nk4 4\nk5 5\nc6ee 6\nc5chord 5\nDodecahedron 20\nc8chorded 8\nc8chords 8\nClebsch graph 16\nprismy 8\nc24 24\nc26 26\nc60 60\nc6xc6 36\nholton_mckay 24\nsixfour 10\nc4 4\nPetersen graph 10\np2 2\nTutte Graph 46\nnon_ham_over 9\nthrowing 11\nthrowing2 12\nthrowing3 12\nkratsch_lehel_muller 12\nBlanusa First Snark Graph 18\nBlanusa Second Snark Graph 18\nFlower Snark 20\ns3 4\nryan3 15\nk10 10\nMycielski Graph 5 23\nc3mycieski 7\ns13e 14\ncirculant_50_1_3 50\ns22e 23\ndifficult11 11\nBull graph 5\nChvatal graph 12\nClaw graph 4\nDesargues Graph 20\nDiamond Graph 4\nFlower Snark 20\nFrucht graph 12\nHoffman-Singleton graph 50\nHouse Graph 5\nOctahedron 6\nThomsen graph 6\nPetersen graph 10\nPappus Graph 18\nGrotzsch graph 11\nGray graph 54\nHeawood graph 14\nHerschel graph 11\nCoxeter Graph 28\nBrinkmann graph 21\nTutte-Coxeter graph 30\nTutte Graph 46\nRobertson Graph 19\nFolkman Graph 20\nBalaban 10-cage 70\nPappus Graph 18\nTietze Graph 12\nSylvester Graph 36\nSzekeres Snark Graph 50\nMoebius-Kantor Graph 16\nryan 24\ninp 11\nc4c4 7\nregular_non_trans 8\nbridge 5\np10k4 14\nc100 100\nstarfish 15\nc5k3 7\nk5pendant 6\nShrikhande graph 16\nsylvester 16\nfork 5\nedge_critical_5 5\nedge_critical_11_1 11\nedge_critical_11_2 11\npete_minus 9\nc5 5\nbow_tie 5\npepper_residue_graph 13\nbarrus_graph 9\np5 5\nc6 6\nc9 9\nce3 8\nce4 8\nce5 25\nk4e2split 6\nflower_with_3_petals 7\nflower_with_4_petals 9\npaw_x_paw 16\nWagner Graph 8\nhouseX 5\nce7 7\ntriangle_star 9\nce8 10\nce9 10\nce10 12\np3 3\nbinary_octahedron 13\nce11 6\nprism 6\nce12 6\nce13 6\nIhCGGC_@? 10\nalpha_critical_A_ 2\nalpha_critical_Bw 3\nalpha_critical_C~ 4\nalpha_critical_Dhc 5\nalpha_critical_D~{ 5\nalpha_critical_E|OW 6\nalpha_critical_E~~w 6\nalpha_critical_FhCKG 7\nalpha_critical_F~[KG 7\nalpha_critical_FzEKW 7\nalpha_critical_Fn[kG 7\nalpha_critical_F~~~w 7\nalpha_critical_GbL|TS 8\nalpha_critical_G~?mvc 8\nalpha_critical_GbMmvG 8\nalpha_critical_Gb?kTG 8\nalpha_critical_GzD{Vg 8\nalpha_critical_Gb?kR_ 8\nalpha_critical_GbqlZ_ 8\nalpha_critical_GbilZ_ 8\nalpha_critical_G~~~~{ 8\nalpha_critical_GbDKPG 8\nalpha_critical_HzCGKFo 9\nalpha_critical_H~|wKF{ 9\nalpha_critical_HnLk]My 9\nalpha_critical_HhcWKF_ 9\nalpha_critical_HhKWKF_ 9\nalpha_critical_HhCW[F_ 9\nalpha_critical_HxCw}V` 9\nalpha_critical_HhcGKf_ 9\nalpha_critical_HhKGKf_ 9\nalpha_critical_Hh[gMEO 9\nalpha_critical_HhdGKE[ 9\nalpha_critical_HhcWKE[ 9\nalpha_critical_HhdGKFK 9\nalpha_critical_HhCGGE@ 9\nalpha_critical_Hn[gGE@ 9\nalpha_critical_Hn^zxU@ 9\nalpha_critical_HlDKhEH 9\nalpha_critical_H~~~~~~ 9\nalpha_critical_HnKmH]N 9\nalpha_critical_HnvzhEH 9\nalpha_critical_HhfJGE@ 9\nalpha_critical_HhdJGM@ 9\nalpha_critical_Hj~KHeF 9\nalpha_critical_HhdGHeB 9\nalpha_critical_HhXg[EO 9\nalpha_critical_HhGG]ES 9\nalpha_critical_H~Gg]f{ 9\nalpha_critical_H~?g]vs 9\nalpha_critical_H~@w[Vs 9\nalpha_critical_Hn_k[^o 9\n"}︡{"done":true}︡
︠0020c717-b7db-48a9-8e12-2c96ff7a3ba3s︠
#now lets check the truth of conjecture[0] for these graphs
for g in graph_objects:
    print g.name(), conjs[0](g)
︡0b320347-d498-400d-ad70-e0c0dba22f76︡{"stdout":"paw False\nkite False\np4 False\ndart False\nk3 True\nk4 False\nk5 False\nc6ee True\nc5chord False\nDodecahedron False\nc8chorded False\nc8chords False\nClebsch graph True\nprismy False\nc24 False\nc26 False\nc60 False\nc6xc6 False\nholton_mckay False\nsixfour True\nc4 False\nPetersen graph True\np2 True\nTutte Graph False\nnon_ham_over False\nthrowing False\nthrowing2 False\nthrowing3 False\nkratsch_lehel_muller False\nBlanusa First Snark Graph True\nBlanusa Second Snark Graph True\nFlower Snark False\ns3 False\nryan3 True\nk10 True\nMycielski Graph 5 False\nc3mycieski False\ns13e False\ncirculant_50_1_3 False\ns22e False\ndifficult11 False\nBull graph False\nChvatal graph False\nClaw graph False\nDesargues Graph False\nDiamond Graph False\nFlower Snark False\nFrucht graph False\nHoffman-Singleton graph False\nHouse Graph False\nOctahedron False\nThomsen graph False\nPetersen graph True\nPappus Graph True\nGrotzsch graph True\nGray graph False\nHeawood graph False\nHerschel graph False\nCoxeter Graph False\nBrinkmann graph False\nTutte-Coxeter graph False\nTutte Graph False\nRobertson Graph False\nFolkman Graph False\nBalaban 10-cage False\nPappus Graph True\nTietze Graph False\nSylvester Graph False\nSzekeres Snark Graph False\nMoebius-Kantor Graph False\nryan False\ninp False\nc4c4 True\nregular_non_trans False\nbridge True\np10k4 False\nc100 "}︡{"stdout":"False\nstarfish False\nc5k3 True\nk5pendant False\nShrikhande graph False\nsylvester False\nfork False\nedge_critical_5 True\nedge_critical_11_1 False\nedge_critical_11_2 False\npete_minus False\nc5 False\nbow_tie False\npepper_residue_graph False\nbarrus_graph False\np5 False\nc6 False\nc9 False\nce3 False\nce4 False\nce5 False\nk4e2split False\nflower_with_3_petals False\nflower_with_4_petals False\npaw_x_paw False\nWagner Graph False\nhouseX True\nce7 False\ntriangle_star False\nce8 False\nce9 False\nce10 False\np3 True\nbinary_octahedron True\nce11 True\nprism True\nce12 False\nce13 False\nIhCGGC_@? False\nalpha_critical_A_ True\nalpha_critical_Bw True\nalpha_critical_C~ False\nalpha_critical_Dhc False\nalpha_critical_D~{ False\nalpha_critical_E|OW True\nalpha_critical_E~~w True\nalpha_critical_FhCKG True\nalpha_critical_F~[KG False\nalpha_critical_FzEKW False\nalpha_critical_Fn[kG False\nalpha_critical_F~~~w True\nalpha_critical_GbL|TS False\nalpha_critical_G~?mvc False\nalpha_critical_GbMmvG False\nalpha_critical_Gb?kTG False\nalpha_critical_GzD{Vg False\nalpha_critical_Gb?kR_ False\nalpha_critical_GbqlZ_ True\nalpha_critical_GbilZ_ True\nalpha_critical_G~~~~{ True\nalpha_critical_GbDKPG False\nalpha_critical_HzCGKFo True\nalpha_critical_H~|wKF{ False\nalpha_critical_HnLk]My False\nalpha_critical_HhcWKF_ False\nalpha_critical_HhKWKF_ False\nalpha_critical_HhCW[F_ False\nalpha_critical_HxCw}V` False\nalpha_critical_HhcGKf_ False\nalpha_critical_HhKGKf_ False\nalpha_critical_Hh[gMEO True\nalpha_critical_HhdGKE[ True\nalpha_critical_HhcWKE[ True\nalpha_critical_HhdGKFK True\nalpha_critical_HhCGGE@ False\nalpha_critical_Hn[gGE@ True\nalpha_critical_Hn^zxU@ False\nalpha_critical_HlDKhEH True\nalpha_critical_H~~~~~~ False\nalpha_critical_HnKmH]N True\nalpha_critical_HnvzhEH False\nalpha_critical_HhfJGE@ True\nalpha_critical_HhdJGM@ True\nalpha_critical_Hj~KHeF True\nalpha_critical_HhdGHeB True\nalpha_critical_HhXg[EO True\nalpha_critical_HhGG]ES False\nalpha_critical_H~Gg]f{ True\nalpha_critical_H~?g]vs True\nalpha_critical_H~@w[Vs True\nalpha_critical_Hn_k[^o False\n"}︡{"done":true}︡
︠841d286d-58f9-48bf-9d09-819e75347005s︠
show(paw)
︡5b9702f2-5496-4d50-a037-2b6aeb69d1ab︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_fVCzJ9.svg","show":true,"text":null,"uuid":"eb19e858-8421-4bc2-bb0f-0b6c6aee9ed9"},"once":false}︡{"done":true}︡
︠fdc4880e-9d2f-4fc8-9afb-d222c87ddc8es︠
#NOTE: brendan mckay's nauty graph generation is built-in to Sage
#so we can call nauty with the appropriate wswitch to get connected graph
graphs.nauty_geng?
︡c4702629-c549-4eae-8c81-595573d47d70︡{"code":{"filename":null,"lineno":-1,"mode":"text/x-rst","source":"File: /projects/sage/sage-7.5/local/lib/python2.7/site-packages/sage/graphs/graph_generators.py\nSignature : graphs.nauty_geng(self, options='', debug=False)\nDocstring :\nReturns a generator which creates graphs from nauty's geng program.\n\nINPUT:\n\n* \"options\" - a string passed to  geng  as if it was run at a\n  system command line. At a minimum, you *must* pass the number of\n  vertices you desire.  Sage expects the graphs to be in nauty's\n  \"graph6\" format, do not set an option to change this default or\n  results will be unpredictable.\n\n* \"debug\" - default: \"False\" - if \"True\" the first line of geng's\n  output to standard error is captured and the first call to the\n  generator's \"next()\" function will return this line as a string.\n  A line leading with \">A\" indicates a successful initiation of the\n  program with some information on the arguments, while a line\n  beginning with \">E\" indicates an error with the input.\n\nThe possible options, obtained as output of \"geng --help\":\n\n        n    : the number of vertices\n   mine:maxe : a range for the number of edges\n               #:0 means '# or more' except in the case 0:0\n     res/mod : only generate subset res out of subsets 0..mod-1\n\n       -c    : only write connected graphs\n       -C    : only write biconnected graphs\n       -t    : only generate triangle-free graphs\n       -f    : only generate 4-cycle-free graphs\n       -b    : only generate bipartite graphs\n                   (-t, -f and -b can be used in any combination)\n       -m    : save memory at the expense of time (only makes a\n                   difference in the absence of -b, -t, -f and n <= 28).\n       -d#   : a lower bound for the minimum degree\n       -D#   : a upper bound for the maximum degree\n       -v    : display counts by number of edges\n       -l    : canonically label output graphs\n\n       -q    : suppress auxiliary output (except from -v)\n\nOptions which cause geng to use an output format different than the\ngraph6 format are not listed above (-u, -g, -s, -y, -h) as they\nwill confuse the creation of a Sage graph.  The res/mod option can\nbe useful when using the output in a routine run several times in\nparallel.\n\nOUTPUT:\n\nA generator which will produce the graphs as Sage graphs. These\nwill be simple graphs: no loops, no multiple edges, no directed\nedges.\n\nSee also: \"Graph.is_strongly_regular()\" -- tests whether a graph\n  is strongly regular and/or returns its parameters.\n\nEXAMPLES:\n\nThe generator can be used to construct graphs for testing, one at a\ntime (usually inside a loop).  Or it can be used to create an\nentire list all at once if there is sufficient memory to contain\nit.\n\n   sage: gen = graphs.nauty_geng(\"2\")\n   sage: next(gen)\n   Graph on 2 vertices\n   sage: next(gen)\n   Graph on 2 vertices\n   sage: next(gen)\n   Traceback (most recent call last):\n   ...\n   StopIteration: Exhausted list of graphs from nauty geng\n\nA list of all graphs on 7 vertices.  This agrees with\nhttps://oeis.org/A000088.\n\n   sage: gen = graphs.nauty_geng(\"7\")\n   sage: len(list(gen))\n   1044\n\nA list of just the connected graphs on 7 vertices.  This agrees\nwith https://oeis.org/A001349.\n\n   sage: gen = graphs.nauty_geng(\"7 -c\")\n   sage: len(list(gen))\n   853\n\nThe \"debug\" switch can be used to examine geng's reaction to the\ninput in the \"options\" string.  We illustrate success. (A failure\nwill be a string beginning with \">E\".)  Passing the \"-q\" switch to\ngeng will supress the indicator of a successful initiation.\n\n   sage: gen = graphs.nauty_geng(\"4\", debug=True)\n   sage: print(next(gen))\n   >A geng -d0D3 n=4 e=0-6"}}︡{"done":true}︡
︠96f46e2c-09a5-400d-be6f-676f4c5f3ec7s︠
test = graphs.nauty_geng("4 -c")
︡17845d6c-a744-4d27-a930-d2c23020a272︡{"done":true}︡
︠84032633-1ba6-419e-a545-be85a6ffb707s︠
for g in test:
    show(g)
︡7aa289be-5cf6-4495-a827-08de3fb3fef5︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_yKVM0d.svg","show":true,"text":null,"uuid":"aead3f75-9dd5-4dad-9c16-2d59bc2aca02"},"once":false}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_hjS0kq.svg","show":true,"text":null,"uuid":"e6ea311f-584b-4757-8afd-8b80ace2bd99"},"once":false}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_ohZBKw.svg","show":true,"text":null,"uuid":"9c2a6ec4-5620-494e-a2fe-1b9f7872d720"},"once":false}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_9s2xDg.svg","show":true,"text":null,"uuid":"0fea719c-1431-4146-baee-6543a3ced83f"},"once":false}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_Ka1cgs.svg","show":true,"text":null,"uuid":"a3dc735c-9e3f-497a-a4c6-807ea2a724eb"},"once":false}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_vJVpvN.svg","show":true,"text":null,"uuid":"0bd7bf4a-3f72-4bd9-b245-fd5dd2ed8dc8"},"once":false}︡{"done":true}︡
︠7a9dc627-6d0b-419b-9164-6bba6550cf5bs︠
#test conjecture[0] against all order 4 graphs
for g in graphs.nauty_geng("4 -c"):
    if conjs[0](g) == false:
        print g.graph6_string()
        show(g)
        break
︡3c044925-b9ec-4ce5-8875-fc4d12aedbad︡{"stdout":"CF\n"}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_4gm3kg.svg","show":true,"text":null,"uuid":"3ba42099-1d51-45ba-bb9c-530acbccbcaf"},"once":false}︡{"done":true}︡
︠dcea6305-2fef-4e14-982e-db98be8a8dc1s︠
#regenerate the counterexample from g6 string
ce = Graph("CF")
show(ce)
︡0036a6ca-3688-403c-a903-a283e8d19a52︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_5UMVLK.svg","show":true,"text":null,"uuid":"71f8bf86-9b06-4fe4-86ab-d6a73b904451"},"once":false}︡{"done":true}︡
︠cb3ffb79-4b12-4c13-b30e-8635fe09de2es︠
#search for counterexamples among graphs with orders 7 thru 10
for i in [7..10]:
    for g in graphs.nauty_geng("{} -c".format(i)):
        if conjs[0](g) == false:
            print g.graph6_string()
            show(g)
            break
︡7f9621be-b231-4f4f-9ced-77acc5459de2︡{"stdout":"F??Fw\n"}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_bfmOyf.svg","show":true,"text":null,"uuid":"390b0eca-000c-419e-acfd-d11c53ccf9f4"},"once":false}︡{"stdout":"G???F{"}︡{"stdout":"\n"}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_4_j8m5.svg","show":true,"text":null,"uuid":"18446df0-71af-4816-abff-d40ccec82270"},"once":false}︡{"stdout":"H???CB~"}︡{"stdout":"\n"}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_zc4H5j.svg","show":true,"text":null,"uuid":"8f5e4f04-7963-42df-a5b7-49d9b637b1a7"},"once":false}︡{"stdout":"I??????~w"}︡{"stdout":"\n"}︡{"file":{"filename":"/projects/55637bd2-f3ab-4f98-a3df-bffb70932c1f/.sage/temp/compute4-us/12634/tmp_AQZGBq.svg","show":true,"text":null,"uuid":"18ff012f-db75-4cac-b1e2-6ebafc0d7184"},"once":false}︡{"done":true}︡
︠d8685865-9e81-43cb-a964-a51abb8f9600s︠
#computer search for a counterexample to david's conjecture
david = lambda x: independence_number(x) <= x.order() - x.radius()
︡8a71eb45-db97-4bc4-bf8b-fbb971cac217︡{"done":true}︡
︠68d69c0a-eca3-4e27-bf3d-215c50eda20cs︠
david(p3)
︡cd8daaab-a42f-41ec-b24a-654c73b98fcb︡{"stdout":"True\n"}︡{"done":true}︡
︠41266ddd-3334-4205-aa37-b7b5ddd7e4c8︠
#search for counterexamples among graphs with orders 7 thru 10
for i in [11..12]:
    for g in graphs.nauty_geng("{} -c".format(i)):
        if david(g) == false:
            print g.graph6_string()
            show(g)
            break
︡4a1ea970-3802-4e12-86cf-060ee2f0bd7e︡
︠91a23435-782a-4d49-8a22-fbcc9e703453s︠
paley101 = graphs.PaleyGraph(101)
paley101.show()
︡287e0a34-0aa1-413d-9ad5-0d54bf931272︡{"file":{"filename":"/home/user/.sage/temp/project-55637bd2-f3ab-4f98-a3df-bffb70932c1f/116/tmp_waWpTr.svg","show":true,"text":null,"uuid":"aceb86b8-eaf7-4bf8-97d3-728b540dc695"},"once":false}︡{"done":true}︡
︠172795e3-d9e1-4ca1-ad79-96c9499cf536ss︠
paley101.girth()
︡97b6f8a2-46ba-4231-8a11-ed00613d90b6︡{"stdout":"3\n"}︡{"done":true}︡
︠490c5b2e-d797-4d88-b2ec-8e18d3df7629s︠
paley101.independent_set(value_only=True)
︡e2b79d7f-c327-499a-84b5-b5f787f0337a︡{"stdout":"5\n"}︡{"done":true}︡
︠153229d5-f2c2-4997-9b87-6ab63cf7c825s︠
paley101.lovasz_theta()
︡4b2c3c95-6329-41d9-9f2b-1588941ec89b︡{"stdout":"10.049876"}︡{"stdout":"\n"}︡{"done":true}︡
︠101bf312-c6fc-496e-b4aa-32eaa68e5e09s︠
3+4
︡9a92f8d5-623f-48e9-b07d-053861964fc0︡{"stdout":"7\n"}︡{"done":true}︡
︠e40026b1-bf2e-4a42-b404-2df19147563bs︠
paley101.order()
︡1cfb148b-c2d7-4bb5-9f8b-1debefe2c315︡{"stdout":"101\n"}︡{"done":true}︡
︠814693ba-676a-48c6-a6c5-b5abc307a784︠









